Businesses
Update Business
Update an existing Business record.
PUT
Update Business
Updates an existing Business record. You must include the
Id of the record to update along with all required fields.
Authentication
This endpoint requires OAuth2 authentication. Include a valid bearer token in the
Authorization header.
The authenticated user must be a full unrestricted administrator or have the Business-Edit role.Enums
eHelpItemFlag — VisitedHelpItems values
eHelpItemFlag — VisitedHelpItems values
| Value | Name |
|---|---|
| 0 | None |
| 1 | WelcomePage |
| 2 | GridPage |
| 4 | EditPage |
| 8 | SettingsPage |
| 16 | HelpPage |
eLanguage — DefaultLanguage values
eLanguage — DefaultLanguage values
| Value | Name |
|---|---|
| 3 | EnglishUK |
| 1 | EnglishUS |
| 2 | Spanish |
eVenueType — VenueType values
eVenueType — VenueType values
| Value | Name |
|---|---|
| 1 | BusinessCenter |
| 2 | CorporateOffice |
| 3 | CoworkingSpace |
| 4 | Hotel |
| 5 | InformalOffice |
| 6 | Studio |
| 7 | Other |
eFloorUnit — FloorSpaceUnit values
eFloorUnit — FloorSpaceUnit values
| Value | Name |
|---|---|
| 1 | SqFt |
| 2 | SqMt |
ePassportAccess — PassportMembersAccess values
ePassportAccess — PassportMembersAccess values
| Value | Name |
|---|---|
| 1 | Everyone |
| 2 | RegisteredUsers |
| 3 | RegisteredWithMySpaceUsers |
| 4 | NoOne |
Request Body
Required Fields
The Id of the Business record to update.
The visited help items value for this business.
Display name of the business location.
Default language identifier for communications and UI.
URL slug used for the business’s public web address.
ID of the country linked to this record.
ID of the currency linked to this record.
ID of the simple time zone linked to this record.
The discount percentage value for this business.
The discount amount value for this business.
The invoicing period value for this business.
The last charged invoice value for this business.
The last charged transaction value for this business.
The last charged attendee value for this business.
Type of venue (0 = default).
Unit for FloorSpace (0 = default).
Passport members directory access level.
Passport events listing access level.
Passport community board access level.
Passport blog posts access level.
Optional Fields
ID of the space website language linked to this record.
ID of the default payment gateway linked to this record.
Terms and conditions text for this business.
Brief introduction shown on the business profile.
Extended ‘About Us’ text for the business profile.
Highlight quote displayed on the business profile.
URL to the business’s privacy policy.
URL to the business’s cookie policy.
Public-facing web contact URL.
The welcome email value for this business.
Street address of the business.
Primary phone number displayed on the business profile.
Fax number.
Primary email address displayed on the business profile.
Date/time value for trial expire date.
Date/time value for last over due invoice reminder.
Date/time value for last welcome email.
URL of a new file to upload as the logo.
Set to true to remove the current logo file.
URL of a new file to upload as the banner image.
Set to true to remove the current banner image file.
URL of a new file to upload as the nex io banner image.
Set to true to remove the current nex io banner image file.
Date/time value for last language token update.
Whether has created default file templates is enabled.
Whether suspended is enabled.
Whether custom passport app is enabled.
Date/time value for reminders processed on.
ID of the pre auth associated with this record.
Last 4 digits of the payment card on file.
Most recent pre-authorisation error message.
Date/time value for pre auth processed on.
Passport channels this business is listed under.
Whether passport only is enabled.
Whether this business is published and visible on Nexudus Passport.
URL of a new file to upload as the passport banner.
Set to true to remove the current passport banner file.
Display name shown on the Nexudus Passport listing.
Tagline shown on the Nexudus Passport listing.
Comma-separated tags for categorising the business.
Number of floors in the business premises.
Total floor space of the business premises.
Longitude coordinate for map positioning.
Latitude coordinate for map positioning.
Full description shown on the Nexudus Passport listing.
Town or city where the business is located.
State or province where the business is located.
Postal or ZIP code.
Street name component of the address.
Street number component of the address.
Neighborhood or district name.
Secondary contact phone number.
Secondary contact email address.
Monday opening time (minutes from midnight).
Monday closing time (minutes from midnight).
Tuesday opening time (minutes from midnight).
Tuesday closing time (minutes from midnight).
Wednesday opening time (minutes from midnight).
Wednesday closing time (minutes from midnight).
Thursday opening time (minutes from midnight).
Thursday closing time (minutes from midnight).
Friday opening time (minutes from midnight).
Friday closing time (minutes from midnight).
Saturday opening time (minutes from midnight).
Saturday closing time (minutes from midnight).
Sunday opening time (minutes from midnight).
Sunday closing time (minutes from midnight).
Whether the business is closed on Mondays.
Whether the business is closed on Tuesdays.
Whether the business is closed on Wednesdays.
Whether the business is closed on Thursdays.
Whether the business is closed on Fridays.
Whether the business is closed on Saturdays.
Whether the business is closed on Sundays.
Whether all days share the same opening and closing times.
The current back end version value for this business.
The authentication provider value for this business.
The created by value for this business.
The default payment term value for this business.
Code Examples
Response
200
HTTP status code.
200 on success.A human-readable message confirming the update.
Contains the
Id of the updated record.true if the business was updated successfully.null on success.Example Response
400
A summary of the validation error(s), in the format
PropertyName: error message.null on validation failure.Array of validation errors.
false when the request fails validation.Example Response
Update Business